# EPS 预测

`GET` `/v1/quote/forecast-eps`

获取 EPS 预测及分析师共识估值。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/forecast-eps?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | No | EPS 预测周期列表 |
| `└ forecast_eps_median` | string | No | EPS 预估中位数 |
| `└ forecast_eps_mean` | string | No | EPS 预估平均值 |
| `└ forecast_eps_lowest` | string | No | 最低 EPS 预估值 |
| `└ forecast_eps_highest` | string | No | 最高 EPS 预估值 |
| `└ institution_total` | integer | No | 参与机构总数 |
| `└ institution_up` | integer | No | 上调预期的机构数 |
| `└ institution_down` | integer | No | 下调预期的机构数 |
| `└ forecast_start_date` | string | No | 预测周期开始日期 |
| `└ forecast_end_date` | string | No | 预测周期结束日期 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "forecast_end_date": "1727827200",
        "forecast_eps_highest": "3.71",
        "forecast_eps_lowest": "2.37",
        "forecast_eps_mean": "2.998",
        "forecast_eps_median": "3.02",
        "forecast_start_date": "1727827200",
        "institution_down": 0,
        "institution_total": 0,
        "institution_up": 0
      }
    ]
  }
}
```
